Jump to content
satinwoods

MultiGeoZone giving error

Recommended Posts

I just installed multigeozone and I'm getting this error when I try to edit it in the admin section

 

Warning: mysqli_fetch_assoc() expects parameter 1 to be mysqli_result, resource given in /home/satinn5/public_html/strutfashion.ca/includes/modules/shipping/mzmt.php on line 196
Warning: mysqli_fetch_assoc() expects parameter 1 to be mysqli_result, resource given in /home/satinn5/public_html/strutfashion.ca/includes/modules/shipping/mzmt.php on line 196
Warning: mysqli_fetch_assoc() expects parameter 1 to be mysqli_result, resource given in /home/satinn5/public_html/strutfashion.ca/includes/modules/shipping/mzmt.php on line 196

 

line 196 is

 

while ($zone_class = mysqli_fetch_assoc($zone_class_query)) {

 

Thoughts?

Share this post


Link to post
Share on other sites

change to:

while ($zone_class = tep_db_fetch_array($zone_class_query)) {

Share this post


Link to post
Share on other sites

@@toyicebear

 

Nice, that fixed it! Thanks!

 

Now it won't load all the areas, here's what the sql looks like

 

Full texts
geo_zone_id
geo_zone_name
geo_zone_description
last_modified
date_added
Edit Edit
Copy Copy
Delete Delete
3
15% Rate
NULL
2013-08-21 13:09:15
Edit Edit
Copy Copy
Delete Delete
4
14% Rate
NULL
2013-08-21 13:09:24
Edit Edit
Copy Copy
Delete Delete
5
13% Rate
NULL
2013-08-21 13:09:33
Edit Edit
Copy Copy
Delete Delete
6
5% Rate
NULL
2013-08-21 13:09:43
Edit Edit
Copy Copy
Delete Delete
7
No Tax
Out Side Canada
2013-10-07 08:37:21
2013-10-07 08:32:20
Edit Edit
Copy Copy
Delete Delete
8
Shp: United States: 48
United States:  Continental 48 states
NULL
2013-11-20 13:11:01
Edit Edit
Copy Copy
Delete Delete
9
Shp: United States: 48
United States:  Continental 48 states
NULL
2013-11-21 14:00:17

 

It shows the double States in the drop down and the "rest of the world". No idea why the rest isn't working.

Share this post


Link to post
Share on other sites

Change mysqli_fetch_assoc to tep_db_fetch_array (three places). Testing now....

 

I really want to rewrite this thing. Somebody please stop me.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Hi Jim,

 

No chance know what you are like when you get started :P

 

going to need this soon hahah

 

Regards

Joli


To improve is to change; to be perfect is to change often.

 

Share this post


Link to post
Share on other sites

Almost finished. It's down to testing and debugging now.

 

Regards

JIm


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

And done. This has been tested on my development box (Apache 2.2.22, PHP 5.4.6, MySQL 5.5.34) but that doesn't mean it'll work on everyone's system. Please get a copy and help me test.

 

For those of you who have used this before, there are a few changes:

  1. All settings are in the module. The previous version's settings in Admin >> Configuration are no longer needed/used.
  2. You don't need to edit the language file -- everything is in the module.
  3. This is a two-step install. Install the module, then edit and enter the number of Geo Zones and the number of Tables. Click Save and the form fields for the tables will show up and can be edited.
  4. All three files have been updated, so you need to upload all three.

 

Please post here with any questions, bug, code, feature requests ... you know the drill.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

@@kymation Hi Jim - Typical ! just a couple of days after I install the old version you bring out a new one :)

 

Is it possible to update to this or will I need to un-install then re-install the files / database changes??

 

Thanks


Now running on a fully modded, Mobile Friendly 2.3.4 Store with the Excellent MTS installed - See my profile for the mods installed ..... So much thanks for all the help given along the way by forum members.

Share this post


Link to post
Share on other sites

You will need to uninstall and then upload and install the new module. This one is quite different from the older versions. Remember, this module is not well tested yet, so please test thoroughly before you go on with your installs.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×